### Function

# PapersView css_utils_filter_class_chars

#### Declaration [src]

    char*
    pps_css_utils_filter_class_chars (
      const char* str
    )

#### Description [src]

Returns `str` as a new string removing any character which is not allowed in a css class name.

Css class names should only contain following characters: - a–z A–Z 0–9 - _ - any Unicode character ≥ U+00A0.

#### Parameters

`str`

  Type: `const char*`

  Input string.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `char*`

Newly allocated string.

The caller of the function takes ownership of the data, and is responsible for freeing it.
The value is a NUL terminated UTF-8 string.